# frozen_string_literal: true
require 'sewing_kit/webpack/manifest/base'

module SewingKit
  module Webpack
    class Manifest
      class TestWithNoAssets < Base
        def asset_bundle_name(_user_agent)
          'test'
        end

        def asset_dependencies(_entrypoint_name, _user_agent)
          {}
        end

        def manifest
          raise OnlyUseInProductionError
        end
      end
    end
  end
end
